Multivariate Pattern Analysis in Python

# mvpa2.kernels.sg.LinearSGKernel

class `mvpa2.kernels.sg.``LinearSGKernel`(normalizer_cls=None, normalizer_args=None, **kwargs)

  A basic linear kernel computed via Shogun: K(a,b) = a*b.T

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_raw_sg`() |
  `as_sg`() |

  Parameters:

  normalizer_cls : sg.Kernel.CKernelNormalizer

  > Class to use as a normalizer for the kernel. Will be instantiated upon compute(). Only supported for shogun >= 0.6.5. By default (if left None) assigns IdentityKernelNormalizer to assure no normalization.

  normalizer_args : None or list

  > If necessary, provide a list of arguments for the normalizer.

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_raw_sg`() |
  `as_sg`() |